Loading...
Searching...
No Matches
omMallocSystem.h File Reference

Go to the source code of this file.

## Macros

#define | OM_MALLOC_MALLOC malloc
#define | OM_MALLOC_REALLOC realloc
#define | OM_MALLOC_FREE free
#define | OM_MALLOC_VALLOC valloc
#define | OM_MALLOC_VFREE(addr, size)

## Functions

static size_t | OM_MALLOC_SIZEOF_ADDR (void *d)

## Macro Definition Documentation

## OM_MALLOC_FREE

#define OM_MALLOC_FREE free

Definition at line 13 of file omMallocSystem.h.

## OM_MALLOC_MALLOC

#define OM_MALLOC_MALLOC malloc

Definition at line 11 of file omMallocSystem.h.

## OM_MALLOC_REALLOC

#define OM_MALLOC_REALLOC realloc

Definition at line 12 of file omMallocSystem.h.

## OM_MALLOC_VALLOC

#define OM_MALLOC_VALLOC valloc

Definition at line 14 of file omMallocSystem.h.

## OM_MALLOC_VFREE

#define OM_MALLOC_VFREE | ( |  | addr,
|  |  | size )

Value:
OM_MALLOC_FREE(addr)
OM_MALLOC_FREE
#define OM_MALLOC_FREE
Definition omMallocSystem.h:13

Definition at line 15 of file omMallocSystem.h.

## Function Documentation

## OM_MALLOC_SIZEOF_ADDR()

size_t OM_MALLOC_SIZEOF_ADDR | ( | void * | d | ) |

inline static

Definition at line 29 of file omMallocSystem.h.

{ long*dd=(long*)d; return *(dd-1); }